/* .clearfix {{{ */
.clearfix:after {
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}

.clearfix {
    display: inline-block;
}

html[xmlns] .clearfix {
    display: block;
}

* html .clearfix {
    height: 1%;
}
/* }}} */

* {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

body {
    background: red;
    font-family: Helvetica;
    margin: 0;
    padding: 0;
    -webkit-text-size-adjust: none;
    -webkit-user-select: none;
}

#page {
    position: relative;
}

.dialog {
    min-height: #(iphone.window.height)px;
    position: absolute;
    top: 3px;
    width: 100%;
}

.dialog > .panel {
    background: #c8c8c8 url(iui/pinstripes.png);
    padding: 1px 0 1px 0;
    min-height: #(iphone.window.height - iphone.toolbar.height)px;
}

/* #toolbar {{{ */
.dialog > .toolbar {
    background: url(iui/toolbar.png) #6d84a2 repeat-x;
    border-bottom: 1px solid #2d3642;
    height: #(iphone.toolbar.height)px;
    padding: 10px;
}

.dialog > .toolbar > h1 {
    color: #ffffff;
    font-size: 20px;
    font-weight: bold;
    height: 100%;
    margin: 1px auto 0 auto;
    text-shadow: rgba(0, 0, 0, 0.4) 0px -1px 0;
    text-align: center;
    white-space: nowrap;
}
/* }}} */
/* (back|forward)-button {{{ */
.dialog > .toolbar > a.back-button,
.dialog > .toolbar > a.forward-button {
    color: #ffffff;
    font-size: 12px;
    font-weight: bold;
    height: 30px;
    line-height: 30px;
    margin-top: -28px;
    padding: 0 3px;
    text-decoration: none;
    text-shadow: rgba(0, 0, 0, 0.6) 0px -1px 0;
    white-space: nowrap;
}

.dialog > .toolbar > a.back-button {
    -webkit-border-image: url(iui/backButton.png) 0 8 0 14;
    border-width: 0 8px 0 14px;
    float: left;
}

.dialog > .toolbar > a.forward-button {
    -webkit-border-image: url(iui/toolButton.png) 0 5 0 5;
    border-width: 0 5px;
    float: right;
}
/* }}} */
/* fieldset {{{ */
.dialog > .panel > fieldset {
    background: #ffffff;
    border: 1px solid #999999;
    -webkit-border-radius: 10px;
    font-size: 16px;
    margin: 10px;
    padding: 0;
}

.dialog > .panel > fieldset > div {
    border-bottom: 1px solid #999999;
    min-height: 42px;
}

.dialog > .panel > fieldset > div:last-child {
    border-bottom: none;
}

.dialog > .panel > fieldset > div > select {
    font-size: 14px;
    margin-top: 8px;
    margin-left: 110px;
}

.dialog > .panel > fieldset > div > input {
    background: none;
    border: none;
    font-size: 16px;
    height: 42px;
    margin: 0;
    padding: 12px 10px 0 110px;
    width: 100%;
}

.dialog > .panel > fieldset > div > label {
    font-weight: bold;
    line-height: 42px;
    position: absolute;
    margin: 0 0 0 14px;
}
/* }}} */
